require File.dirname(__FILE__) + '/../../../../../spec_helper'
include OpenEHR::AM::Archetype::ConstraintModel
include OpenEHR::AssumedLibraryTypes

describe CPrimitiveObject do
  before(:each) do
    interval = Interval.new(:lower => 0, :upper => 1)
    @c_primitive_object = CPrimitiveObject.new(:path => 'event/test',
                                               :rm_type_name => 'DV_TEXT',
                                               :node_id => 'ac0001',
                                               :occurrences => interval)
  end

  it 'should be an instance of CPrimitiveObject' do
    @c_primitive_object.should be_an_instance_of CPrimitiveObject
  end
end
